# $Revision: 1.16 $, $Date: 2010/05/06 06:54:20 $
# TODO
# - figure out why disabled tests fail
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Info
Summary:	Log::Info - single interface for log output
Summary(pl.UTF-8):	Log::Info - pojedynczy interfejs do tworzenia logów
Name:		perl-Log-Info
Version:	1.21
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	91d8467613193967ff4286386d015f44
BuildRequires:	perl-Class-MethodMaker
BuildRequires:	perl-Term-ProgressBar
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log::Info is intended to be a single interface for all logging action.
Each instance of Log::Info is intended to be an output for a
particular type of log; some defaults are provided, and custom ones
may be generated.

%description -l pl.UTF-8
Log::Info ma być pojedynczym interfejsem do wszystkich rodzajów
logowania. Każda instancja Log::Info ma być wyjściem pewnego rodzaju
logów; załączone jest trochę ustawień domyślnych, można wygenerować
własne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# use next matching two digit version
sed -i -e '/use IO::Pipe/s,1.121,1.13,' lib/Log/Info.pm

# fail on carme
rm t/fork_log.t
rm t/single-die.t
# fail on builders
rm t/syslog.t

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Log-Info/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Log/Info.pm
%dir %{perl_vendorlib}/Log/Info
%{perl_vendorlib}/Log/Info/Fork.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Info.spec,v $
Revision 1.16  2010/05/06 06:54:20  glen
- one more test fails due no syslog on builders; rel 4

Revision 1.15  2010/05/05 18:52:42  glen
- disable two failing tests

Revision 1.14  2010/05/05 18:51:25  glen
- perl vs rpm version workaround, see http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/PLD-doc/devel-hints-en.txt.diff?r1=1.43;r2=1.44;f=h
- rel 3

Revision 1.13  2010/04/21 17:06:06  arekm
- release 2

Revision 1.12  2009/12/04 10:18:49  amateja
- updated to 1.21

Revision 1.11  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.9  2006/08/25 17:29:42  radek
- BR: perl-Class-MethodMaker perl-Term-ProgressBar

Revision 1.8  2005/06/21 18:45:49  czucz
- reverted last change, my mistake

Revision 1.7  2005/06/21 17:51:21  czucz
- initial release

Revision 1.6  2004/11/03 22:30:31  paladine
- formatting

Revision 1.5  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.4  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.3  2004/04/13 11:13:46  ankry
- caps cosmetics

Revision 1.2  2004/04/12 12:19:10  qboosh
- pl, cosmetics

Revision 1.1  2004/04/11 22:44:41  agaran
- new spec, make tests fails, nfy
